Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.builder
Class DiskFileDataSource

    java.lang.Object
      org.apache.axis2.builder.DiskFileDataSource

All Implemented Interfaces:
  javax.activation.DataSource

    public class DiskFileDataSource

extends Object
implements javax.activation.DataSource

Constructor Summary
`DiskFileDataSource(org.apache.commons.fileupload.disk.DiskFileItem diskFileItem)`

Method Summary
`void` | `delete()`
`String` | `getContentType()`
`InputStream` | `getInputStream()`
`String` | `getName()`
`OutputStream` | `getOutputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiskFileDataSource

    public DiskFileDataSource(org.apache.commons.fileupload.disk.DiskFileItem diskFileItem)

Method Detail

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `javax.activation.DataSource`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Specified by:
    `getInputStream` in interface `javax.activation.DataSource`
  Throws:
    `IOException`

### getName

    public String getName()

  Specified by:
    `getName` in interface `javax.activation.DataSource`

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  Specified by:
    `getOutputStream` in interface `javax.activation.DataSource`
  Throws:
    `IOException`

### delete

    public void delete()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.